org.eclipse.rdf4j.query.explanation

## Enum Explanation.Level

- java.lang.Object
- - java.lang.Enum<Explanation.Level>
  - - org.eclipse.rdf4j.query.explanation.Explanation.Level

- All Implemented Interfaces:
    Serializable, Comparable<Explanation.Level>
  Enclosing interface:
    Explanation

      @Experimental
      public static enum Explanation.Level
      extends Enum<Explanation.Level>

  The different levels that the query explanation can be at.
  Since:
    3.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Executed`
    `Optimized`
    `Timed`
    `Unoptimized`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Explanation.Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Explanation.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unoptimized

          public static final Explanation.Level Unoptimized

    - #### Optimized

          public static final Explanation.Level Optimized

    - #### Executed

          public static final Explanation.Level Executed

    - #### Timed

          public static final Explanation.Level Timed

  - ### Method Detail

    - #### values

          public static Explanation.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Explanation.Level c : Explanation.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Explanation.Level valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.